TTree treeSM;
TTree tree10;
TTree tree25;
TTree tree50;
TTree tree75;

TString desc = "Mh/F:hbres:hbchan:hbobs";

void plot_SMinv() {

gROOT->SetStyle("ATLAS");
gROOT->ForceStyle();

treeSM.ReadFile("inv-SM-results.dat", desc);
tree10.ReadFile("inv-10-results.dat", desc);
tree25.ReadFile("inv-25-results.dat", desc);
tree50.ReadFile("inv-50-results.dat", desc);
tree75.ReadFile("inv-75-results.dat", desc);

plot("Mh_hbobs","Mh_hbobs", "M_{h} (GeV)", 50.,500.,"#sigma^{obs}/#sigma^{model}", 0.01,10.,0,1);

treeSM.SetLineStyle(1);
treeSM.SetLineColor(kBlack);
treeSM.Draw("1./hbobs:Mh","","Lsame");

tree10.SetLineStyle(1);
tree10.SetLineColor(kBlue);
tree10.Draw("1./hbobs:Mh","","Lsame");

tree25.SetLineStyle(2);
tree25.SetLineColor(kRed);
tree25.Draw("1./hbobs:Mh","","Lsame");

tree50.SetLineStyle(1);
tree50.SetLineColor(kGreen-3);
tree50.Draw("1./hbobs:Mh","","Lsame");

tree75.SetLineStyle(1);
tree75.SetLineColor(kCyan-3);
tree75.Draw("1./hbobs:Mh","","Lsame");

}

TCanvas * plot(char* n, char* t, TString xtitle, Double_t xmin, Double_t xmax, TString ytitle, Double_t ymin, Double_t ymax,Int_t logx=0, Int_t logy=0) {

	TCanvas *c = new TCanvas(n,t);
	
	c->SetGridx();
	c->SetGridy();
	
 	if (logx==1) c->SetLogx();
 	if (logy==1) c->SetLogy();
 	
	
	TH1F *h1 = new TH1F(n,t,100,xmin,xmax);
	h1->SetMinimum(ymin);
	h1->SetMaximum(ymax);
	h1->Draw();
	
	h1->GetXaxis()->SetTitle(xtitle);
	h1->GetYaxis()->SetTitle(ytitle);
	h1->GetXaxis()->CenterTitle();
	h1->GetYaxis()->CenterTitle();

	return c;

} 
